--- OCaml.mk	2004-10-25 00:58:56.000000000 +0900
+++ OCaml.mk	2004-10-25 00:52:22.000000000 +0900
@@ -100,12 +100,12 @@
 
 $(PROGRAM): $(BCOBJETS) $(COBJS) $(CMIFILES)
 	$(OCAMLFIND) ocamlc -linkpkg -o $(PROGRAM) $(OCAMLLDFLAGS) \
-		$(CFLAGS)  $(BCLDFLAGS) $(BCLDLIBS) $(BCLDOBJECTS) \
+		$(BCLDFLAGS) $(BCLDLIBS) $(BCLDOBJECTS) \
 	 	$(BCOBJECTS) $(DEBUGFLAG) $(COBJS)
 
 $(PROGRAM).opt: $(NCOBJECTS) $(COBJS) $(CMIFILES)
 	$(OCAMLFIND) ocamlopt -linkpkg -o $(PROGRAM).opt $(OCAMLLDFLAGS) \
-		$(CFLAGS) $(OPTFLAGS) $(NCLDFLAGS) $(NCLDLIBS)  $(NCLDOBJECTS) \
+		$(OPTFLAGS) $(NCLDFLAGS) $(NCLDLIBS)  $(NCLDOBJECTS) \
 		 $(NCOBJECTS) $(COBJS)
 
 
@@ -128,13 +128,13 @@
 
 $(LIBRARY).cma: $(BCOBJECTS) $(COBJS)
 	$(OCAMLFIND) ocamlc -a -linkpkg -o $(LIBRARY).cma $(OCAMLLDFLAGS) \
-		$(CFLAGS) $(BCLDFLAGS) $(BCLDLIBS) $(BCLDOBJECTS) \
+		$(BCLDFLAGS) $(BCLDLIBS) $(BCLDOBJECTS) \
 		$(BCOBJECTS) $(DEBUGFLAG) $(COBJS) 
 
 
 $(LIBRARY).cmxa: $(NCOBJECTS) $(COBJS)
 	$(OCAMLFIND) ocamlopt -a -o $(LIBRARY).cmxa $(OCAMLLDFLAGS) \
-		$(CFLAGS) $(OPTFLAGS)  $(NCLDFLAGS) $(NCLDLIBS) $(NCLDOBJECTS) \
+		$(OPTFLAGS)  $(NCLDFLAGS) $(NCLDLIBS) $(NCLDOBJECTS) \
 		$(NCOBJECTS) $(COBJS) 
 
 ALLCMIFILES=$(filter-out %.mli,$(patsubst %.ml,%.cmi,$(MLSOURCES)))
@@ -142,7 +142,7 @@
 DESTDIRFLAG=$(if $(DESTDIR),-destdir $(DESTDIR))
 
 install-lib: $(LIB_INSTALL)
-	ocamlfind remove $(DESTDURFLAG) $(LIBRARY)
+	ocamlfind remove $(DESTDURFLAG) $(LIBRARY) || true
 	ocamlfind install $(DESTDIRFLAG) $(LIBRARY) $(LIB_INSTALL)
 
 else
@@ -163,9 +163,9 @@
 EXPANDEDPACKAGES := $(foreach p,$(PACKAGES),-package $(p))
 PREDICATES=
 SYNTAX=-syntax camlp4o
-OCAMLCFLAGS=$(INCLUDES) $(EXPANDEDPACKAGES) $(CFLAGS) $(BCFLAGS) $(PREDICATES) \
+OCAMLCFLAGS=$(INCLUDES) $(EXPANDEDPACKAGES) $(BCFLAGS) $(PREDICATES) \
 	$(SYNTAX)
-OCAMLOPTFLAGS=$(INCLUDES) $(EXPANDEDPACKAGES) $(CFLAGS)  $(NCFALGS) $(PREDICATES) \
+OCAMLOPTFLAGS=$(INCLUDES) $(EXPANDEDPACKAGES) $(NCFALGS) $(PREDICATES) \
 	$(SYNTAX) $(OPTFLAGS)
 
 
